<?php

require_once __DIR__.DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR.'resources'.DIRECTORY_SEPARATOR.'sdk'.DIRECTORY_SEPARATOR.'autoload.php';

class Shopware_Controllers_Frontend_Enderecocontroller extends Enlight_Controller_Action
{
    /**
     * @var EnderecoClient
     */
    private $oClient;

    private function getBootstrapObj() {
        return Shopware()->Plugins()->Frontend()->EnderecoAMS();
    } 

    private function writeToLog($txt, $cpt = '') { 
        return $this->getBootstrapObj()->writeToLog($txt, $cpt);
    } 

    public function init()    {
        $config = $this->getBootstrapObj()->Config()->toArray();        
        $sMandator = $config["EnderecoAMS_Mandant"];
        $sLogin = $config["EnderecoAMS_Benutzername"];
        $sPw = $config["EnderecoAMS_Passwort"];     
        $this->oClient = EnderecoClient::getInstance($sMandator, $sLogin, $sPw);
        $bShowAllZipCodeCityNameCombinations = $config["EnderecoAMS_ShowAllCityNames"];    
        define('ORWELL_SHOW_CITIES_WITH_ADDITIONALS_EVEN_IF_ZIP_IS_EQUAL', $bShowAllZipCodeCityNameCombinations?true:false);
    }

    public function indexAction() {
        try {
            $sJson = $_POST['orwellServiceData'];
            $aInput = json_decode($sJson, true);
            $result = $this->oClient->executeRequest(OrwellUtility::arrayToRequest($aInput));
            $aResult = OrwellUtility::makeArrayFromResult($result);
            $res = json_encode($aResult, JSON_PRETTY_PRINT);
        }
        catch(Exception $e)
        {
            $res = $e->getMessage()."\n".$e->getTraceAsString()."\n";
        }        
        die($res);
    }
 
}

