 E.$(document).ready(function() {
      var plugin_override = setInterval(function(){
        if (jQuery && (jQuery !== 'undefined')) {
          jQuery.overridePlugin('swAddressEditor', {
            _bindButtonAction: function($modal) {
                var me = this,
                    $submitButtons = $modal._$content.find(me.opts.submitButtonSelector),
                    $actionInput = $modal._$content.find('input[name=saveAction]');

                jQuery.publish('plugin/swAddressEditor/onBeforeBindButtonAction', [ me, $modal ]);

                // hook into submit button click to eventually update the saveAction value bound to data-value
                $submitButtons.on('click', function(event) {
                    var $elem = $(this);

                    event.preventDefault();

                    $actionInput.val($elem.attr('data-value'));
                    $elem.closest('form').submit();
                });
                // submit form via ajax
                $modal._$content
                    .find('form')
                    .on('submit', function(event) {
                        
                        var $target = $(event.target),
                            actionData = {
                                id: $modal.options.addressId || null
                            };

                        me._resetErrorMessage($modal);
                        me._disableSubmitButtons($modal);

                        event.preventDefault();

                        jQuery.each($target.serializeArray(), function() {
                            actionData[this.name] = this.value;
                        });

                        jQuery.publish('plugin/swAddressEditor/onBeforeSave', [ me, actionData ]);

                        $submitButtons.addClass("js--ajax-loading");

                        // send data to api endpoint
                        jQuery.ajax({
                            url: $target.attr('action'),
                            data: actionData,
                            method: 'POST',
                            success: function(response) {
                                $submitButtons.removeClass('js--ajax-loading');
                                $submitButtons.removeClass('js--ajax-loading-error');
                                me.onSave($modal, response);
                            },
                            error: function(xhr, status, error) {
                               $submitButtons.addClass('js--ajax-loading-error');
                            }
                        });
                    });

                jQuery.publish('plugin/swAddressEditor/onAfterBindButtonAction', [ me, $modal ]);
                
            }
          });
          clearInterval(plugin_override);
        }
      }, 50);
}); 