var onDocReadyEndereco = function() {

    fillTemplateScripts(); 
    setStreetInfoInputEvents();
    fillStreetInfo('street', 'address_streetname', 'address_streetnumber');

    ////////////////////// input assistant /////////////////////

    var form_prefix = E.$('[name="address_form_prefix"]').val();
    
    var isValidCountryEx = function()
        {
            var obj = E.$('[name="'+form_prefix+'[country]"]'), c = obj.val(), 
            cn = obj.find('option:selected').text().toLowerCase(),
            res = (!c || (c === undefined) || (c === null) || (c === '') || (c === '0') || (c === 0));
            if (!res && Array.isArray(aCountries) && aCountries.length) {
                for (var i = 0; i < aCountries.length; i++) {
                  if (cn.indexOf(aCountries[i]) > -1) return true; 
                } 
            }
            return res; 
        };

    var isMaleFemaleEx = function()
        {
            var v = E.$('[name="'+form_prefix+'[salutation]"]').val();
            return (!v || (v === undefined) || (v === null))?'':v.toLowerCase();
        };
    var isMaleEx = function() { return isMaleFemaleEx()==='mr'; };
    var isFemaleEx = function() { return isMaleFemaleEx()==='ms'; };

    //address
    var oxCountry = E.$('[name="'+form_prefix+'[country]"]'),
        oxName = E.$('[name="'+form_prefix+'[firstname]"]'),
        oxSal = E.$('[name="'+form_prefix+'[salutation]"]'),
        oxZip = E.$('[name="'+form_prefix+'[zipcode]"]'),
        oxCity = E.$('[name="'+form_prefix+'[city]"]'),
        oxStreet = E.$('[name="'+form_prefix+'[streetname]"]'),
        oxStreetNr = E.$('[name="'+form_prefix+'[streetnumber]"]'),
        oxSalErr = '[name="'+form_prefix+'[salutation]"]';

    //do all of the fields exist?
    if (oxName.length > 0 && oxSal.length > 0 && oxZip.length > 0 && oxCity.length > 0 && oxStreet.length > 0 && oxStreetNr.length > 0) {
        var inputAssistantInvoiceAddress = new E.Validation.StandardOxidInputAssitant(oxCountry, oxName, oxSal, oxSalErr, oxZip, oxCity,  
            oxStreet, oxStreetNr, E.Validation.onValidationValueSet, isValidCountryEx, isFemaleEx, isMaleEx);
        //chrome autocomplete fix
        var isWebkit = 'WebkitAppearance' in document.documentElement.style;
        if (isWebkit) {
            oxName.attr('autocomplete','address-level4 disable-autocomplete-on-chrome');
        }

        oxZip.attr('autocomplete', 'off');
        oxCity.attr('autocomplete', 'off');
        oxStreet.attr('autocomplete', 'off');
        oxStreetNr.attr('autocomplete', 'off');
    }

    //upper case name
    var oxName = E.$('[name="'+form_prefix+'[firstname]"]'),
        oxLastName = E.$('[name="'+form_prefix+'[lastname]"]');

    if(oxName.length > 0 ) E.Validation.UpperCaseName(oxName);
    if(oxLastName.length > 0 ) E.Validation.UpperCaseName(oxLastName);

    ////////////////////// address check /////////////////////

    var onValidationValueSetEx = function(e) {
       E.$('input[name="'+form_prefix+'[streetname]"]').change();       
    };

    var oxCountry = E.$('[name="'+form_prefix+'[country]"]'),
        oxZip = E.$('input[name="'+form_prefix+'[zipcode]"]'),
        oxCity = E.$('input[name="'+form_prefix+'[city]"]'),
        oxStreet = E.$('input[name="'+form_prefix+'[streetname]"]'),
        oxStreetNr = E.$('input[name="'+form_prefix+'[streetnumber]"]'),       
        oxSaveButton = E.$('.address--form-submit'),
        oxForm = E.$(oxSaveButton.closest("form")[0]),
        shippingAddressHeadline = E.$("#shipping-address-suggestion-headline"),
        billingAddressHeadline = E.$("#billing-address-suggestion-headline"),
        commonAddressHeadline = E.$("#common-address-suggestion-headline");

    //do all of the Invoice fields exist?
    if(oxZip.length > 0 && oxCity.length > 0 && oxStreet.length > 0 && oxStreetNr.length > 0 && oxSaveButton.length > 0 && ((typeof E.addressCheckInvoice == "undefined") || (E.addressCheckInvoice === null)))
    {       
        E.addressCheckInvoice = new E.Validation.StandardOxidAddressCheck(oxCountry, oxZip, oxCity, oxStreet, oxStreetNr, oxSaveButton, oxForm, 
            onValidationValueSetEx, isValidCountryEx);
        E.addressCheckInvoice.on('setupPopup', function()
        {
            billingAddressHeadline.css('display', 'none');
            shippingAddressHeadline.css('display', 'none');
            commonAddressHeadline.css('display', '');
        });
    }

    //add classes to style dropdown of awesomeplete according to current theme
    E.$('.awesomplete .awesomplete-dropdown').addClass(E.Validation.dropdownClass);

    E.$(document).trigger('addressCheckReady');

};